<!DOCTYPE html>
<html>
    <head>
        <title></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <script type="text/javascript" src="../../build/current.js"></script>
        <script type="text/javascript">
            window.onload = function(){
                var canvas = document.createElement('canvas');
                canvas.width = 640;
                canvas.height = 480;
                document.body.appendChild(canvas);
                var image = new Image();
                image.onload = function() {
                    var renderer_canvas = new Renderer.Canvas();
                    renderer_canvas.set_canvas(canvas);
                    var container = new DisplayObject.Container({
                        renderer: renderer_canvas
                    });
                    for (var i=0; i<1000; i++) {
                        var img = new DisplayObject.Img.Tile({
                            image:image,
                            tile_width: 32,
                            tile_height: 32,
                            tile_x: Math.floor(Math.random()*6),
                            tile_y: Math.floor(Math.random()*16),
                            x: Math.random()*640,
                            y: Math.random()*480,
                            pivot_x: 16,
                            pivot_y: 16
                        });
                        container.add_child(img);
                    }
                    container.set_options({pivot_x:320, pivot_y:240});
                    setInterval(function(){
                        renderer_canvas.clear();
                        container.set_options({angle:container.get_angle()+1});
                        container.render();
                        var childs = container.get_childs();
                        for (var i in childs) {
                            var child = childs[i]
                            child.set_options({x: Math.random()*640,y: Math.random()*480});
                        }
                    }, 1000/30);
                }
                image.src = '../tileset.png';
            }
        </script>
    </head>
    <body>
    </body>
</html>
